Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The identifier to look up the ledger account. Accepts a user ID ('user_xxx'), company ID ('biz_xxx'), or ledger account ID ('ldgr_xxx').

Example:

"ldgr_xxxxxxxxxxxxx"

Response

A successful response

A ledger account represents a financial account on Whop that can hold many balances.

balances
object[]
required

The balances associated with the account.

id
string
required

The unique identifier for the ledger account.

Example:

"ldgr_xxxxxxxxxxxxx"

ledger_type
enum<string>
required

The type of ledger account.

Available options:
primary,
pool
owner
User · object
required

A user account on Whop. Contains profile information, identity details, and social connections.

payments_approval_status
enum<string> | null
required

The status of payments approval for the ledger account.

Available options:
pending,
approved,
monitoring,
rejected
payout_account_details
object | null
required

The payout account associated with the LedgerAccount, if any.

transfer_fee
number | null
required

The fee for transfers, if applicable.

Example:

6.9

treasury_balance
object | null
required

The balance cache associated with the account by currency.